Bullet Collision Detection & Physics Library: btSoftBody::CJoint Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSoftBody::CJoint Struct Reference

`#include <btSoftBody.h>`

Inheritance diagram for btSoftBody::CJoint:
[legend]
Collaboration diagram for btSoftBody::CJoint:
[legend]

## Public Member Functions
void | Prepare (btScalar dt, int iterations)
void | Solve (btScalar dt, btScalar sor)
void | Terminate (btScalar dt)
eType::_ | Type () const
Public Member Functions inherited from btSoftBody::Joint
virtual | ~Joint ()
| Joint ()

## Public Attributes
int | m_life
int | m_maxlife
btVector3 | m_rpos [2]
btVector3 | m_normal
btScalar | m_friction
Public Attributes inherited from btSoftBody::Joint
Body | m_bodies [2]
btVector3 | m_refs [2]
btScalar | m_cfm
btScalar | m_erp
btScalar | m_split
btVector3 | m_drift
btVector3 | m_sdrift
btMatrix3x3 | m_massmatrix
bool | m_delete

## Detailed Description

Definition at line 695 of file btSoftBody.h.

## Member Function Documentation

## ◆ Prepare()

void btSoftBody::CJoint::Prepare | ( | btScalar | dt,
|  | int | iterations )
| virtual

Reimplemented from btSoftBody::Joint.

Definition at line 3675 of file btSoftBody.cpp.

## ◆ Solve()

void btSoftBody::CJoint::Solve | ( | btScalar | dt,
|  | btScalar | sor )
| virtual

Implements btSoftBody::Joint.

Definition at line 3697 of file btSoftBody.cpp.

## ◆ Terminate()

void btSoftBody::CJoint::Terminate | ( | btScalar | dt | ) |
| virtual

Implements btSoftBody::Joint.

Definition at line 3740 of file btSoftBody.cpp.

## ◆ Type()

eType::_ btSoftBody::CJoint::Type | ( |  | ) | const
| inlinevirtual

Implements btSoftBody::Joint.

Definition at line 705 of file btSoftBody.h.

## Member Data Documentation

## ◆ m_friction

btScalar btSoftBody::CJoint::m_friction

Definition at line 701 of file btSoftBody.h.

## ◆ m_life

int btSoftBody::CJoint::m_life

Definition at line 697 of file btSoftBody.h.

## ◆ m_maxlife

int btSoftBody::CJoint::m_maxlife

Definition at line 698 of file btSoftBody.h.

## ◆ m_normal

btVector3 btSoftBody::CJoint::m_normal

Definition at line 700 of file btSoftBody.h.

## ◆ m_rpos

btVector3 btSoftBody::CJoint::m_rpos[2]

Definition at line 699 of file btSoftBody.h.

The documentation for this struct was generated from the following files:

- btSoftBody.h
- btSoftBody.cpp